petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCASMSetOverlap

Sets the overlap between a pair of subdomains for the additive Schwarz preconditioner. Either all or no processors in the PC communicator must call this routine. If MatIncreaseOverlap is used, use option -mat_increase_overlap when the problem size large.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCASMSetOverlap(PC pc,PetscInt ovl)

Logically Collective on PC Many br

### Input Parameters

| pc | - the preconditioner context Many br
| ovl | - the amount of overlap between subdomains (ovl >= 0, default value = 1) Many br

### Options Database Key

-pc_asm_overlap <ovl> -Sets overlap Many br

### Notes

By default the ASM preconditioner uses 1 block per processor. To use Many brmultiple blocks per perocessor, see PCASMSetTotalSubdomains() and Many brPCASMSetLocalSubdomains() (and the option -pc_asm_blocks <blks>). Many br

The overlap defaults to 1, so if one desires that no additional Many broverlap be computed beyond what may have been set with a call to Many brPCASMSetTotalSubdomains() or PCASMSetLocalSubdomains(), then ovl Many brmust be set to be 0. In particular, if one does not explicitly set Many brthe subdomains an application code, then all overlap would be computed Many brinternally by PETSc, and using an overlap of 0 would result in an ASM Many brvariant that is equivalent to the block Jacobi preconditioner. Many br

Note that one can define initial index sets with any overlap via Many brPCASMSetTotalSubdomains() or PCASMSetLocalSubdomains(); the routine Many brPCASMSetOverlap() merely allows PETSc to extend that overlap further Many brif desired. Many br

Many br

### Keywords

PC, ASM, set, overlap

### See Also

PCASMSetTotalSubdomains(), PCASMSetLocalSubdomains(), PCASMGetSubKSP(),
PCASMCreateSubdomains2D(), PCASMGetLocalSubdomains() Many br

Level:intermediate
Location:src/ksp/pc/impls/asm/asm.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex8.c.html